当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]怎样有效防ARP欺骗,网关MAC地址怎样绑定,先谢过了~!!~!
帖子发表于 : 2007-08-06 18:55 
头像

注册: 2006-09-10 8:19
帖子: 508
地址: Shanghai,China
系统: Gentoo/Mac OS X
送出感谢: 0 次
接收感谢: 0 次
现在Windows病毒疯狂作案,我们这已有很多人中毒了,这直接导致了网络的混乱,arp欺骗到处都是,
到网上找了很多方法,但感觉效果不是很好,所以现在上网总是掉线,不知有什么方法能够解决这个问题,
是不是将网关MAC地址绑定了就行了。
比如网关是:10.0.1.1 MAC为:00:E0:FC:1C:A8:24
我的IP是:10.0.1.112 MAC为:00:E0:4D:1B:76:9C
需要进行哪些操作来绑定。
还有我用arp -a
显示10.0.1.1的MAC地址有时不一样,不知是什么原因
!~~!
谢谢!~!~


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-08-07 15:51 

注册: 2007-08-07 15:38
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
你的网关的MAC是唯一的 如果你使用Arp -a 不是你的网关mac地址的话 你已经受到了arp攻击
你现在需要确定两个东西
网关的IP and 网关的mac
得到这两个东西后
使用arp -s X.X.X.X S:S:S:S:S:S命令静态绑定你的网关MAC地址
X.X.X.X 为你网关的IP地址
s:s:s:s:s:s 为你网关的MAC地址
运行后使用ARP命令查看 网关是不是已经静态绑定 状态为CM 为静态绑定
如果你感觉这样比较麻烦 也可以使用
vi /etc/ethers
建立ethers文件其内容为X.X.X.X S:S:S:S:S:S
保存后
在/etc/rc.d/rc.local文件中增加
arp -f命令
这样每次开机后 将自动静态绑定你的网关MAC


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-08-08 13:14 
头像

注册: 2006-09-10 8:19
帖子: 508
地址: Shanghai,China
系统: Gentoo/Mac OS X
送出感谢: 0 次
接收感谢: 0 次
agod 写道:
你的网关的MAC是唯一的 如果你使用Arp -a 不是你的网关mac地址的话 你已经受到了arp攻击
你现在需要确定两个东西
网关的IP and 网关的mac
得到这两个东西后
使用arp -s X.X.X.X S:S:S:S:S:S命令静态绑定你的网关MAC地址
X.X.X.X 为你网关的IP地址
s:s:s:s:s:s 为你网关的MAC地址
运行后使用ARP命令查看 网关是不是已经静态绑定 状态为CM 为静态绑定
如果你感觉这样比较麻烦 也可以使用
vi /etc/ethers
建立ethers文件其内容为X.X.X.X S:S:S:S:S:S
保存后
在/etc/rc.d/rc.local文件中增加
arp -f命令
这样每次开机后 将自动静态绑定你的网关MAC


正解,现在好了,谢谢!~!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-11-13 11:41 

注册: 2005-12-08 22:48
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
奇怪,我的Ubuntu7.10怎么没有/etc/rc.d这个文件夹?
只有/etc/rc0.d~rc6.d和/etc/rc.local。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-11-29 16:25 

注册: 2007-11-29 16:21
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我的ubuntu 7.10 在 /etc/下也没有rc.d 目录
但是在/etc/ 直接就有一个 rc.local 文件, 但是该文件是在结束某个程序时执行的,而不是系统开机的时候执行


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-11-29 22:13 
头像

注册: 2006-09-10 8:19
帖子: 508
地址: Shanghai,China
系统: Gentoo/Mac OS X
送出感谢: 0 次
接收感谢: 0 次
wxhubo 写道:
我的ubuntu 7.10 在 /etc/下也没有rc.d 目录
但是在/etc/ 直接就有一个 rc.local 文件, 但是该文件是在结束某个程序时执行的,而不是系统开机的时候执行

可以将开机要执行的命令放在
/etc/init.d/rc.local
下面是我的()
代码:
#! /bin/sh
#以下是绑定目录,FTP用的
mount --bind /media/sda5/software/ /home/ftp/winsoft
mount --bind /media/sda6/music/ /home/ftp/music/
mount --bind /media/sda6/movies/ /home/ftp/movies/
mount --bind /media/sda7/linux/ /home/ftp/linux/
mount --bind /media/sda7/games/ /home/ftp/games/


PATH=/sbin:/bin:/usr/sbin:/usr/bin
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /lib/lsb/init-functions

do_start() {
   if [ -x /etc/rc.local ]; then
      log_begin_msg "Running local boot scripts (/etc/rc.local)"
      /etc/rc.local
      log_end_msg $?
   fi
}

case "$1" in
    start)
   do_start
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac


_________________
http://pjq.me


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-12-31 0:41 

注册: 2006-03-22 3:42
帖子: 370
送出感谢: 0 次
接收感谢: 0 次
参考一下


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-12-31 2:57 

注册: 2006-03-22 3:42
帖子: 370
送出感谢: 0 次
接收感谢: 0 次
在/etc/rc.d/rc.local文件中增加
arp -f命令

??????????????????????


怎么搞?是这样马?


#! /bin/sh

arp -f

PATH=/sbin:/bin:/usr/sbin:/usr/bin
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /lib/lsb/init-functions

do_start() {
if [ -x /etc/rc.local ]; then
log_begin_msg "Running local boot scripts (/etc/rc.local)"
/etc/rc.local
log_end_msg $?
fi
}

case "$1" in
start)
do_start
;;
restart|reload|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
stop)
;;
*)
echo "Usage: $0 start|stop" >&2
exit 3
;;
esac

:twisted: :twisted:


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译